/*******************************************************************************
 * NxForceFieldGenericComponent generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class NxForceFieldGenericComponent extends NxForceFieldComponent
    native(ForceField)
    editinlinenew
    collapsecategories
    hidecategories(Collision,Lighting,Physics,Rendering,Object);

var() float RoughExtentX;
var() float RoughExtentY;
var() float RoughExtentZ;
var() NxForceFieldGeneric.FFG_ForceFieldCoordinates Coordinates;
var() Vector Constant;
var() Vector PositionMultiplierX;
var() Vector PositionMultiplierY;
var() Vector PositionMultiplierZ;
var() Vector PositionTarget;
var() Vector VelocityMultiplierX;
var() Vector VelocityMultiplierY;
var() Vector VelocityMultiplierZ;
var() Vector VelocityTarget;
var() Vector Noise;
var() Vector FalloffLinear;
var() Vector FalloffQuadratic;
var() float TorusRadius;
var native const transient Pointer Kernel;

defaultproperties
{
    RoughExtentX=200.0
    RoughExtentY=200.0
    RoughExtentZ=200.0
    TorusRadius=1.0
    begin object name=Shape0 class=ForceFieldShapeBox
        begin object name=DrawBox0 class=DrawBoxComponent
            ReplacementPrimitive=none
        object end
        // Reference: DrawBoxComponent'Default__NxForceFieldGenericComponent.Shape0.DrawBox0'
        Shape=DrawBox0
    object end
    // Reference: ForceFieldShapeBox'Default__NxForceFieldGenericComponent.Shape0'
    Shape=Shape0
    ReplacementPrimitive=none
}